jingrow.ui.form.ControlDynamicLink = class ControlDynamicLink extends jingrow.ui.form.ControlLink {
	get_options() {
		let options = "";
		if (this.df.get_options) {
			options = this.df.get_options(this);
		} else if (this.pagename == null && cur_dialog) {
			//for dialog box
			options = cur_dialog.get_value(this.df.options);
		} else if (!cur_frm) {
			const selector = `input[data-fieldname="${this.df.options}"]`;
			let input = null;
			if (cur_list) {
				// for list page
				input = cur_list.filter_area.standard_filters_wrapper.find(selector);
			}
			if (cur_page) {
				input = $(cur_page.page).find(selector);
			}
			if (input) {
				options = input.val();
			}
		} else {
			options = jingrow.model.get_value(this.df.parent, this.pagename, this.df.options);
		}

		if (jingrow.model.is_single(options)) {
			jingrow.throw(__("{0} is not a valid PageType for Dynamic Link", [options.bold()]));
		}

		return options;
	}
};
